package data;

import java.util.*;

public class Step implements Comparator {

    public GridItem gridItem = null;

    public boolean expanded = false;
    public float cost = 0;
    public int col  = 0;
    public int row  = 0;

    public Step parent = null;

    public Step(GridItem g) {
        gridItem = g;
        col = gridItem.col;
        row = gridItem.row;
    }

    public String toString() {
        return "Step: [ " + cost + " ] " + gridItem.toString() + " " + parent;
    }

    public int compare(Object one, Object two) {
        Step step1 = (Step) one;
        Step step2 = (Step) two;
        int c = 0;
        if (step1.cost < step2.cost) c = -1;
        if (step1.cost > step2.cost) c =  1;
        return c;
    }

    public boolean equals(Object other) {
        return false;
    }
}
