package data;

import java.util.*;

public interface Display {

    public void updateGrid(int col, int row);
    
    public void setDelivery(int col, int row);

    public void setMoney(int money);

    public void setCapacity(int capacity);

    public void exploreTowards(int col, int row);

    public void setPathLength(int len);

    public void setScore(int score);

    public void setCarryPackages(Enumeration e);
    
    public void setUndeliveredPackages(Enumeration e);
    
    public void showStatus(String message);

    public void setFrontier(int col, int row);
    public void setPath(int col, int row);
}
